Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1083769 - PRD35 - [RFE] - introduction of Command-Coordination infrastructure
Summary: PRD35 - [RFE] - introduction of Command-Coordination infrastructure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Ravi Nori
QA Contact: Aharon Canan
URL: http://www.ovirt.org/Features/Design/...
Whiteboard: infra
Depends On: 1090529
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-02 22:40 UTC by Barak
Modified: 2016-02-10 19:27 UTC (History)
12 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 05:31:48 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 26331 master MERGED engine : Move all tasks classes to bll.tasks package Never
oVirt gerrit 26332 master MERGED engine : Tunnel calls to AsyncTaskManager and introduce CoCo Never
oVirt gerrit 26333 master MERGED engine : Introduction of CallBack interface Never
oVirt gerrit 26334 master MERGED engine : Introduction of TaskHelper interface Never
oVirt gerrit 26335 master MERGED engine : Introduction of Poller, CommandEntity and interfaces for caching Never
oVirt gerrit 26336 master MERGED engine : Introduction of DecoratedCommand Never
oVirt gerrit 26337 master NEW engine: Introduction of command entity dao Never
oVirt gerrit 26687 master MERGED engine : Modify Async_tasks table to use CommandEntity Never
oVirt gerrit 26691 master MERGED engine : Introduce CommandEntityCleanupManager Never
oVirt gerrit 28154 master MERGED engine : Introduction of CommandExecutor and CommandCallBack Never
oVirt gerrit 28160 master MERGED engine : Add quartz to handle AsycCommands Never
oVirt gerrit 28528 master MERGED engine : Collapse all Async Command Callbacks Never
oVirt gerrit 28672 master MERGED engine : Persist VdcReturnValue in CommandEntity Never
oVirt gerrit 28708 master MERGED engine : Add Json Mixin to ignore VdcFault setError method Never
oVirt gerrit 28724 master MERGED engine : Add callback enabled commands to CommandExecutor callback map Never

Description Barak 2014-04-02 22:40:40 UTC
Description of problem:

Till today only Storage Async Tasks (SPM related vdsm API) have the ability to persist/load commands from DB, this was required due to the nature of long duration storage related operations. 

The need for such ability for none storage related operations come up many times,
Specifically for 3.5 it's required for live merge.

Requirements:
- introduce framework to persist into DB & load from DB commands
- move Async Task framework to work with this new CommandCoordination framework

Comment 5 Oved Ourfali 2014-05-20 12:24:05 UTC
This is practically a code change, done to ease the development of the storage live merge feature. Its testing will be covered by testing storage related flows in general, and specifically ones related to the live merge feature.

Added a link to the feature page explaining the code changes.

Comment 8 Aharon Canan 2014-12-15 05:31:48 UTC
Following comment #7, nothing to verify , the code is in.


Note You need to log in before you can comment on or make changes to this bug.